package com.bytedance.android.livesdk.chatroom.model.interact.audience;

import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class LinkmicAudienceEmoji {
    public static final Long LIZ = 0L;
    public static final Boolean LIZIZ = false;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    @c(LIZ = "emoji_id")
    public Long LJ;
    @c(LIZ = "is_random")
    public Boolean LJFF;
    @c(LIZ = "emoji_image")
    public ImageModel LJI;
    @c(LIZ = "emoji_dynamic_image")
    public ImageModel LJII;
    @c(LIZ = "emoji_name")
    public String LJIIIIZZ;
    @c(LIZ = "animation_duration_ms")
    public Long LJIIIZ;
    @c(LIZ = "emoji_result_duration_ms")
    public Long LJIIJ;

    static {
        Covode.recordClassIndex(13789);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJ != null) {
            sb.append(", emoji_id=");
            sb.append(this.LJ);
        }
        if (this.LJFF != null) {
            sb.append(", is_random=");
            sb.append(this.LJFF);
        }
        if (this.LJI != null) {
            sb.append(", emoji_image=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", emoji_dynamic_image=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", emoji_name=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", animation_duration_ms=");
            sb.append(this.LJIIIZ);
        }
        if (this.LJIIJ != null) {
            sb.append(", emoji_result_duration_ms=");
            sb.append(this.LJIIJ);
        }
        sb.replace(0, 2, "LinkmicAudienceEmoji{");
        sb.append('}');
        return sb.toString();
    }
}
